Page MenuHomePhabricator

[MACHO] Replaced calls to getStruct with getStructOrErr in functions returning Error or Expected or similar
ClosedPublic

Authored by abrachet on May 30 2019, 6:09 PM.

Event Timeline

abrachet created this revision.May 30 2019, 6:09 PM
Herald added a project: Restricted Project. · View Herald TranscriptMay 30 2019, 6:09 PM
Bigcheese added a subscriber: Bigcheese.

It would be nice to get tests for these cases, although I realize that can be difficult as it requires malformed inputs.

jakehehrlich accepted this revision.May 31 2019, 3:07 PM

Might label as NFC.

This revision is now accepted and ready to land.May 31 2019, 3:07 PM

It would be nice to get tests for these cases, although I realize that can be difficult as it requires malformed inputs.

This is an NFC. The error messages will change slightly but I don't think we should add the burden of adding all of those tests (which as you say are not easy) onto someone making a strict improvement.

abrachet updated this revision to Diff 202631.Jun 2 2019, 6:28 PM

Removed inconsistent spacing

jhenderson added inline comments.Jun 3 2019, 8:42 AM
llvm/lib/Object/MachOObjectFile.cpp
935–939

This line needs clang-formatting.

abrachet updated this revision to Diff 202733.Jun 3 2019, 9:02 AM

fixed formatting issues

abrachet marked an inline comment as done.Jun 3 2019, 9:03 AM
steven_wu accepted this revision.Jun 4 2019, 8:15 AM

LGTM.

abrachet closed this revision.Jun 4 2019, 9:54 AM